Bug 229482 - Profiling Maven OSGI bundle fails
Profiling Maven OSGI bundle fails
Status: RESOLVED FIXED
Product: profiler
Classification: Unclassified
Component: Ide
7.3
All All
: P3 (vote)
: 8.1
Assigned To: issues@profiler
issues@profiler
:
Depends on: 233588
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-07 21:31 UTC by sujays
Modified: 2015-05-01 02:55 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments
IDE Log (72.61 KB, application/octet-stream)
2013-05-07 21:31 UTC, sujays
Details

Note You need to log in before you can comment on or make changes to this bug.
Description sujays 2013-05-07 21:31:55 UTC
Created attachment 134205 [details]
IDE Log

Created a new OSGI Bundle project (File > New Project > Maven > OSGI Bundle)
The project:
1. is successfully created
2. clean and build works
3. run and debug works

However profiling fails. The console output is as follows:

cd /home/sujay/workspace/MavenOSGI73; JAVA_HOME=/usr/lib/jvm/jdk1.7.0_21 /home/sujay/netbeans-7.3/java/maven/bin/mvn -Dvm.args=${profiler.args} -Dprofiler.action=profile -Prun-on-felix package antrun:run
Scanning for projects...
                                                                        
------------------------------------------------------------------------
Building MavenOSGI73 OSGi Bundle 1.0
------------------------------------------------------------------------

[resources:resources]
Using 'UTF-8' encoding to copy filtered resources.
Copying 0 resource

[compiler:compile]
Nothing to compile - all classes are up to date

[resources:testResources]
Using 'UTF-8' encoding to copy filtered resources.
skip non existing resourceDirectory /home/sujay/workspace/MavenOSGI73/src/test/resources

[compiler:testCompile]
No sources to compile

[surefire:test]
No tests to run.

[bundle:bundle]

[antrun:run]
Executing tasks

main:
[propertyfile] Updating property file: /home/sujay/workspace/MavenOSGI73/target/run.properties
     [java] Error: Could not find or load main class ${profiler.args}
     [java] Java Result: 1
Executed tasks
------------------------------------------------------------------------
BUILD SUCCESS
------------------------------------------------------------------------
Total time: 2.773s
Finished at: Tue May 07 14:28:53 PDT 2013
Final Memory: 9M/22M
------------------------------------------------------------------------

I am attaching the IDE log for reference
Comment 1 Tomas Hurka 2015-04-29 14:53:27 UTC
Fixed in profiler-main

changeset:   286759:1cdc698fd9f4
user:        Tomas Hurka <thurka@netbeans.org>
date:        Wed Apr 29 16:52:19 2015 +0200
summary:     bugfix #229482, resurrect PROFILER_ARGS and VM_ARGS, since they are used by maven-osgi module
Comment 2 Quality Engineering 2015-05-01 02:55:12 UTC
Integrated into 'main-silver', will be available in build *201505010001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)

Changeset: http://hg.netbeans.org/main-silver/rev/1cdc698fd9f4
User: Tomas Hurka <thurka@netbeans.org>
Log: bugfix #229482, resurrect PROFILER_ARGS and VM_ARGS, since they are used by maven-osgi module


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo